(function ($, Drupal) {

  $('.mobileQL').on('click', function () {
    $(this).toggleClass('active');
    if ($(this).attr('aria-expanded') == 'false') {
      $(this).attr('aria-expanded', 'true');
    } else {
      $(this).attr('aria-expanded', 'false');
    };

    $('.quickLinksLinks').toggleClass('active');
    //$('nav').toggleClass('active');
  });

  $('.accordion-button').on('click', function () {
    $(this).closest(".accordion-item").find('.bottomRightPlus').toggleClass('rotated');
    // Accessibility
    $(".view-id-faqs_accordion, .paragraph--type--accordion").find(".accordion-item .accordion-collapse").attr("aria-hidden", "true");
    if($(this).parent().prev().hasClass("collapsed")){
      $(this).parent().next().attr("aria-hidden", "true");
    } else {
      $(this).parent().next().attr("aria-hidden", "false");
    }
  });
  $('.accordion .bottomRightPlus').on('click', function () {
    $(this).toggleClass('rotated');
    // Accessibility
    // Accessibility
    $(".view-id-faqs_accordion, .paragraph--type--accordion").find(".accordion-item .accordion-collapse").attr("aria-hidden", "true");
    if($(this).hasClass("collapsed")){
      $(this).parent().find(".accordion-collapse").attr("aria-hidden", "true");
    } else {
      $(this).parent().find(".accordion-collapse").attr("aria-hidden", "false");
    }
    //h.find('.bottomRightPlus').toggleClass('rotated');
    //$('nav').toggleClass('active');
  });


  $(".logoDropDown").mouseenter(function () {
    $('.logoDropDown__menu').addClass('active');
  }).mouseleave(function () {
    setTimeout(function () {
      $('.logoDropDown__menu').removeClass('active');
    }, 750);
  });

  /*.mouseleave(function() {
    if(!$('.subMenu').eq($(this).index()).hasClass('active')){
        $('.subMenu').eq($(this).index()).hide();
    }

});*/


  var video = document.getElementById("myvid");

// Get the button
  var btn = document.getElementById("pauseButton");

  jQuery("#pauseButton").on("click", function (e){
    e.preventDefault();
    if (video.paused) {
      video.play();
      btn.innerHTML = '<img src="/themes/custom/cfmg/assets/images/pause.png" alt="Pause background video" />';
      $(this).attr("aria-label", "Pause background video");
    }
    else {
      video.pause();
      btn.innerHTML = '<img src="/themes/custom/cfmg/assets/images/play.png" alt="Play background video"/>';
      $(this).attr("aria-label", "Play background video");
    }
  });

// Pause and play the video, and change the button text
  function pauseVideo() {
    if (video.paused) {
      video.play();
      btn.innerHTML = '<img src="/themes/custom/cfmg/assets/images/pause.png" alt="Pause background video" />';
      $(this).attr("aria-label", "Pause Video");
    }
    else {
      video.pause();
      btn.innerHTML = '<img src="/themes/custom/cfmg/assets/images/play.png" alt="Play background video"/>';
      $(this).attr("aria-label", "Play Video");
    }
  }


  $('.al').slick({
    infinite: true,
    dots: true,
    appendDots:$('.slick-slider-dots'),
    centerMode: true,
    slidesToShow: 1,
    prevArrow: $('.paragraph--type--carousel .al-prevArrow'),
    nextArrow: $('.paragraph--type--carousel .al-nextArrow'),
    variableWidth: true,
    responsive: [{

      breakpoint: 4000,
      settings: {
        infinite: true,
      }

    }, {

      breakpoint: 1024,
      settings: {
        slidesToShow: 1,
        infinite: true
      }

    }]
  });

  setTimeout(function(){
    $(".al .slidingCard.slick-active").attr("tabindex", "-1");
  }, 1000);

  $('.al').on('afterChange', function(event, slick, currentSlide, nextSlide){
    setTimeout(function(){
      $(".paragraph--type--carousel .slick-dots li").children("button").attr("tabindex", "0");
      $(".al .slidingCard.slick-active").attr("tabindex", "-1");
    }, 200);
  });


  $('.slidingCard .rightplus').click(function () {
    var $card = $(this).parents(".slidingCard");
    $(this).attr("tabindex", "-1");
    $('.slidingCard .face.back .faceback-close').attr("tabindex", "0");
    if ($card.hasClass("flipped")) {
      $card.removeClass('flipped');
      //.addClass('unflipped');
    }
    else {
      $card.addClass('flipped');
    }
  });
  $('.slidingCard .face.back').mouseleave(function () {
    $(this).parents('.slidingCard').removeClass('flipped');
    $('.slidingCard .rightplus').attr("tabindex", "0");
    $('.slidingCard .face.back .faceback-close').attr("tabindex", "-1");
  });



  $('body').scroll(function () {
    inViewport();
  });

  $('body').resize(function () {
    inViewport();
  });

  function inViewport() {
    var windowHeight = $(window).height();

    $('.line').each(function () {
      var divPos = $(this).offset().top;

      if (divPos < windowHeight - 200) {
        $(this).addClass('slideInDown');
      }
    });

    $('.timeLineInfo').each(function () {
      var divPos = $(this).offset().top;

      if (divPos < windowHeight - 200) {
        $(this).addClass('fadeInUp');
      }
    });

    $('.fullWidth .horizontalLine').each(function () {
      var divPos = $(this).offset().top;

      if (divPos < windowHeight - 200) {
        $(this).addClass('grow');
      }
    });

    $('.leftOnly .horizontalLine').each(function () {
      var divPos = $(this).offset().top;

      if (divPos < windowHeight - 200) {
        $(this).addClass('slideLeft');
      }
    });

    $('.rightOnly .horizontalLine').each(function () {
      var divPos = $(this).offset().top;

      if (divPos < windowHeight - 200) {
        $(this).addClass('slideRight');
      }
    });

    $('.dot').each(function () {
      var divPos = $(this).offset().top;

      if (divPos < windowHeight - 200) {
        $(this).addClass('fadeDotIn');
      }
    });

    $('.timelineDate__lineIn').each(function () {
      var divPos = $(this).offset().top;

      if (divPos < windowHeight - 200) {
        $(this).addClass('grow');
      }
    });


  }

  if ($(".paragraph--type--timeline").length) {
    let wrap = $("body");
    let elementOffset = ($('.paragraph--type--timeline').length) ? $('.paragraph--type--timeline').offset().top : 0;
    let scrollTop = $(window).scrollTop(),
        distance = (elementOffset - scrollTop);
    let bottom = $('.paragraph--type--timeline').offset().top + $('.paragraph--type--timeline').outerHeight(true) - 140;
    wrap.on("scroll", function (e) {
      if ($(window).width() > 991) {
        if (this.scrollTop > distance) {
          $('.fixItTop').addClass("timelineHeaderContainer");
          var elHeight = $('.fixItTop').outerHeight() + 212;
          // $('.keepItStill').css({'margin-top': elHeight});
          if (this.scrollTop > bottom) {
            $('.fixItTop').removeClass("timelineHeaderContainer");
          }
        } else {
          $('.fixItTop').removeClass("timelineHeaderContainer");
          $('.keepItStill').css({'margin-top': '0'});
        }
      }
    });
  }

  /**
   * FaqSort behavior to move results in /faqs page to the top based on the
   * field_faq_sort order.
   */
  Drupal.behaviors.faqSort = {
    attach: function (context, settings) {

      once('faq_sort','.view-faq-sort ').forEach(function (view_faq_sort) {
        const $view_faq_sort = $(view_faq_sort);
        const $questions = $('.view-faqs-accordion .accordion-item');

        $('.view-faqs-accordion .form-item [checked=checked]').each(function (i, element) {
          const $element = $(element).next();
          const label = $element.text();
          const $faq_sort_term = $view_faq_sort.find('.views-field-name:contains("' + label + '")');
          const faq_sort_sorted_elements =
            $faq_sort_term.closest('.views-row')
              .find('.views-field-field-faq-sort li').get();

          $(faq_sort_sorted_elements.reverse()).each(function (i, element) {
            const $element = $(element);
            const label = $element.text();
            $questions.filter(':contains("'+ label +'")').prependTo('.view-faqs-accordion >  .view-content');
          });
        });
      });
    }
  }

})(jQuery, Drupal);
